Subject: Re: What's cooking in git.git (Dec 2016, #03; Tue, 13)

From: Brandon Williams <[email-masked]>
Date: Tue, 13 Dec 2016 17:34:19 -0800

On 12/13, Junio C Hamano wrote:
> * bw/realpath-wo-chdir (2016-12-12) 4 commits
>  - real_path: have callers use real_pathdup and strbuf_realpath
>  - real_path: create real_pathdup
>  - real_path: convert real_path_internal to strbuf_realpath
>  - real_path: resolve symlinks by hand
> 
>  The implementation of "real_path()" was to go there with chdir(2)
>  and call getcwd(3), but this obviously wouldn't be usable in a
>  threaded environment.  Rewrite it to manually resolve relative
>  paths including symbolic links in path components.
> 
>  What's the donness of the topic?  Is this ready for 'next'?

Unless others have any additional comments I think it should be
ready for next.

> * bw/transport-protocol-policy (2016-12-05) 5 commits
>  - transport: add from_user parameter to is_transport_allowed
>  - http: create function to get curl allowed protocols
>  - http: always warn if libcurl version is too old
>  - transport: add protocol policy config option
>  - lib-proto-disable: variable name fix
> 
>  Finer-grained control of what protocols are allowed for transports
>  during clone/fetch/push have been enabled via a new configuration
>  mechanism.
> 
>  What's the doneness of this topic?  Did we agree that it should be
>  rebased on top of Peff's http-walker-limit-redirect series?

Yes I believe we agreed it should be rebased on Peff's series.  I can do
that and send out another version.

-- 
Brandon Williams